// Copyright 1996 by Jon Dart.  All Rights Reserved.
#ifndef __ADVANCED_H__
#define __ADVANCED_H__
// ADVANCED.H : header file
//

/////////////////////////////////////////////////////////////////////////////
// AdvancedOptionsPage dialog

class AdvancedOptionsPage : public CPropertyPage
{
	DECLARE_DYNCREATE(AdvancedOptionsPage)

// Construction
public:
	AdvancedOptionsPage();
	~AdvancedOptionsPage();

// Dialog Data
	//{{AFX_DATA(AdvancedOptionsPage)
	enum { IDD = IDD_ADVANCED_OPTIONS };
	CButton	m_HistoryCheckBox;
	CButton	m_NullsBox;
	CButton	m_KillersBox;
	CButton	m_ExtensionsBox;
	CButton	m_AutoSizeCheckBox;
	CEdit	m_HashSizeEdit;
	BOOL	m_ForcedExtensions;
	BOOL	m_History;
	BOOL	m_PawnPushExtensions;
	CString	m_HashSize;
	BOOL	m_CheckExtensions;
	int		m_Nulls;
	int		m_Killers;
	BOOL	m_AutoSize;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(AdvancedOptionsPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(AdvancedOptionsPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnDeltaposSpin1(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnResetButton();
	afx_msg void OnAutoSize();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

        void OnAuto();
        void OnFixed();
        void SetCheckButtonState(DWORD id,BOOL state);


};
#endif
